Subject: [PATCH v2 0/2] ci: bump remaining outdated Actions versions

From: "Johannes Schindelin via GitGitGadget" <[email-masked]>
Date: Sun, 11 Feb 2024 12:11:27 +0000

I noticed that Junio recently bumped a couple of these Actions versions, and
incidentally I also activated automatic Dependabot updates of those in
git-for-windows/git. Dependabot noticed a couple of yet-unaddressed updates,
which I accumulated into a single patch.

This patch is based on jc/github-actions-update.

Changes since v1 (sorry for the quick succession):

 * The linux32 job cannot handle Node.js Actions, and therefore would fail
   to run the latest actions/upload-artifact version. I only noticed this
   after submitting v1 because CI does not fail (since this step is only in
   use when something in Git's test suite breaks).
 * To avoid making the same mistake even one more time, I added a commit
   that puts big fat warnings next to the Actions that must not be updated
   to newer (i.e. Node.js) versions.

Johannes Schindelin (2):
  ci: bump remaining outdated Actions versions
  ci(linux32): add a note about Actions that must not be updated

 .github/workflows/coverity.yml |  4 ++--
 .github/workflows/main.yml     | 20 ++++++++++----------
 2 files changed, 12 insertions(+), 12 deletions(-)

base-commit: dcce2bda214ac4c838f4b85f2c550816df3a6ac9
Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-1660%2Fdscho%2Fmoar-github-actions-updates-v2
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-1660/dscho/moar-github-actions-updates-v2
Pull-Request: https://github.com/gitgitgadget/git/pull/1660

Range-diff vs v1:

 1:  77c0810bf1a ! 1:  2b35b9878a7 ci: bump remaining outdated Actions versions
     @@ .github/workflows/main.yml: jobs:
           - name: Upload failed tests' directories
             if: failure() && env.FAILED_TEST_ARTIFACTS != '' && matrix.vector.jobname != 'linux32'
      -      uses: actions/upload-artifact@v3
     -+      uses: actions/upload-artifact@v4
     -       with:
     -         name: failed-tests-${{matrix.vector.jobname}}
     -         path: ${{env.FAILED_TEST_ARTIFACTS}}
     -     - name: Upload failed tests' directories
     -       if: failure() && env.FAILED_TEST_ARTIFACTS != '' && matrix.vector.jobname == 'linux32'
     --      uses: actions/upload-artifact@v1
      +      uses: actions/upload-artifact@v4
             with:
               name: failed-tests-${{matrix.vector.jobname}}
 -:  ----------- > 2:  9088cc60bda ci(linux32): add a note about Actions that must not be updated

-- 
gitgitgadget